<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mini51 BSP: StdDriver/inc/spi.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mini51 BSP
   &#160;<span id="projectnumber">V3.02.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">spi.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="spi_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/**************************************************************************/</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#ifndef __SPI_H__</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#define __SPI_H__</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;{</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1ec07ad94d5f6276c1c0b41d0550fe52">   33</a></span>&#160;<span class="preprocessor">#define SPI_MODE_0        (SPI_CNTRL_TX_NEG_Msk)                            </span></div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf2af9f45539491c9753960535dc20fde">   34</a></span>&#160;<span class="preprocessor">#define SPI_MODE_1        (SPI_CNTRL_RX_NEG_Msk)                            </span></div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8fa3edd8616f8803490c93f09243a612">   35</a></span>&#160;<span class="preprocessor">#define SPI_MODE_2        (SPI_CNTRL_CLKP_Msk | SPI_CNTRL_RX_NEG_Msk)       </span></div><div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6a091da9f9011457fe28ab25f64c858d">   36</a></span>&#160;<span class="preprocessor">#define SPI_MODE_3        (SPI_CNTRL_CLKP_Msk | SPI_CNTRL_TX_NEG_Msk)       </span></div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga943af7f8a98cf5a3f2107ed593215a4b">   38</a></span>&#160;<span class="preprocessor">#define SPI_SLAVE         (SPI_CNTRL_SLAVE_Msk)                             </span></div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae09a2779c2d141aa6a8f8be6d78fe210">   39</a></span>&#160;<span class="preprocessor">#define SPI_MASTER        (0x0)                                             </span></div><div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga81f0aae3c3a2adba06ac3b802b38915a">   41</a></span>&#160;<span class="preprocessor">#define SPI_SS                (SPI_SSR_SSR_Msk)                             </span></div><div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8bfc94771e6451d3c1eaeb0c4fa5838b">   42</a></span>&#160;<span class="preprocessor">#define SPI_SS_ACTIVE_HIGH    (SPI_SSR_SS_LVL_Msk)                          </span></div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga67a2045f4f16d45f92fd22075416a7d6">   43</a></span>&#160;<span class="preprocessor">#define SPI_SS_ACTIVE_LOW     (0x0)                                         </span></div><div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafcdee9562fdac3dc6db5dbd67f53b4fa">   45</a></span>&#160;<span class="preprocessor">#define SPI_IE_MASK                        (0x01)                           </span></div><div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7fec9626224f4bf31a1d318f2fea412c">   46</a></span>&#160;<span class="preprocessor">#define SPI_SSTA_INTEN_MASK                (0x04)                           </span></div><div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaa0d3769c378f99dc6e3e278b783f449">   47</a></span>&#160;<span class="preprocessor">#define SPI_FIFO_TX_INTEN_MASK             (0x08)                           </span></div><div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga529ec79afe2917ac1973fde46dfedc54">   48</a></span>&#160;<span class="preprocessor">#define SPI_FIFO_RX_INTEN_MASK             (0x10)                           </span></div><div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac97b9d3efa7af585549c908ec95fbf03">   49</a></span>&#160;<span class="preprocessor">#define SPI_FIFO_RXOV_INTEN_MASK           (0x20)                           </span></div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40af81a5621db7a8b7883fff421a65b7">   50</a></span>&#160;<span class="preprocessor">#define SPI_FIFO_TIMEOUT_INTEN_MASK        (0x40)                           </span></div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="preprocessor"> </span><span class="comment">/* end of group MINI51_SPI_EXPORTED_CONSTANTS */</span><span class="preprocessor"></span></div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2f250524c0d3e7d98075b7992b939cc9">   65</a></span>&#160;<span class="preprocessor">#define  SPI_ABORT_3WIRE_TRANSFER(spi) ( (spi)-&gt;CNTRL2 |= SPI_CNTRL2_SLV_ABORT_Msk )</span></div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabd9c622d28d4b93b8414a783439c852e">   72</a></span>&#160;<span class="preprocessor">#define SPI_CLR_3WIRE_START_INT_FLAG(spi) ( (spi)-&gt;STATUS = SPI_STATUS_SLV_START_INTSTS_Msk )</span></div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc919e1780ef049f97d3b4def65e05f9">   79</a></span>&#160;<span class="preprocessor">#define SPI_CLR_UNIT_TRANS_INT_FLAG(spi) ( (spi)-&gt;STATUS = SPI_STATUS_IF_Msk )</span></div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga95240de57d0c033276e43bdc5b6b9dcc">   86</a></span>&#160;<span class="preprocessor">#define SPI_DISABLE_3WIRE_MODE(spi) ( (spi)-&gt;CNTRL2 &amp;= ~SPI_CNTRL2_NOSLVSEL_Msk )</span></div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0ca327c37cb730cbd0b6aa4db7f980b5">   93</a></span>&#160;<span class="preprocessor">#define SPI_ENABLE_3WIRE_MODE(spi) ( (spi)-&gt;CNTRL2 |= SPI_CNTRL2_NOSLVSEL_Msk )</span></div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga984898177d313359fdd1fcdc0f4bf193">  100</a></span>&#160;<span class="preprocessor">#define SPI_GET_RX_FIFO_COUNT(spi) ( (((spi)-&gt;STATUS &amp; SPI_STATUS_RX_FIFO_COUNT_Msk) &gt;&gt; SPI_STATUS_RX_FIFO_COUNT_Pos) &amp; 0xf )</span></div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaaeb40ca921663b20308a0a841ba7ce73">  109</a></span>&#160;<span class="preprocessor">#define SPI_GET_RX_FIFO_EMPTY_FLAG(spi) ( ((spi)-&gt;STATUS &amp; SPI_STATUS_RX_EMPTY_Msk) == SPI_STATUS_RX_EMPTY_Msk ? 1:0 )</span></div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00118"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3e0bc926739bf60d35df6a774f06cceb">  118</a></span>&#160;<span class="preprocessor">#define SPI_GET_TX_FIFO_EMPTY_FLAG(spi) ( ((spi)-&gt;STATUS &amp; SPI_STATUS_TX_EMPTY_Msk) == SPI_STATUS_TX_EMPTY_Msk ? 1:0 )</span></div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5523e2a8d5469337f2ba5605d57d24de">  127</a></span>&#160;<span class="preprocessor">#define SPI_GET_TX_FIFO_FULL_FLAG(spi) ( ((spi)-&gt;STATUS &amp; SPI_STATUS_TX_FULL_Msk) == SPI_STATUS_TX_FULL_Msk ? 1:0 )</span></div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div><div class="line"><a name="l00134"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9eb889294d2c4d5ed1dfd6fad32d836f">  134</a></span>&#160;<span class="preprocessor">#define SPI_READ_RX(spi) ( (spi)-&gt;RX )</span></div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;</div><div class="line"><a name="l00142"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab93785c2240ec750938f7763dba9a1b2">  142</a></span>&#160;<span class="preprocessor">#define SPI_WRITE_TX(spi, u32TxData) ( (spi)-&gt;TX = u32TxData )</span></div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;</div><div class="line"><a name="l00149"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8f29377ac41486fc4678b9466f1a4c06">  149</a></span>&#160;<span class="keyword">static</span> __INLINE <span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8f29377ac41486fc4678b9466f1a4c06">SPI_SET_SS_HIGH</a>(<a class="code" href="struct_s_p_i___t.html">SPI_T</a> *spi)</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;{</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;    spi-&gt;<a class="code" href="struct_s_p_i___t.html#a79443ba1b07520f8ec9024696858a190">SSR</a> &amp;= ~<a class="code" href="_mini51_series_8h.html#a74835feceed72dcec4ce2d552625a7e3">SPI_SSR_AUTOSS_Msk</a>;</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;    spi-&gt;<a class="code" href="struct_s_p_i___t.html#a79443ba1b07520f8ec9024696858a190">SSR</a> |= (<a class="code" href="_mini51_series_8h.html#a2e1e61875be2a625f45a19deec135d1a">SPI_SSR_LTRIG_FLAG_Msk</a> | <a class="code" href="_mini51_series_8h.html#ace3f423d206a3b88ee42f78cd4bb5b08">SPI_SSR_SS_LVL_Msk</a> | <a class="code" href="_mini51_series_8h.html#a4d0ff5ea2d8b54bc0c0903edfa392906">SPI_SSR_SSR_Msk</a>);</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;}</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;</div><div class="line"><a name="l00160"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga40c84e99f252e6ccd8dfc5faf26fbb40">  160</a></span>&#160;<span class="keyword">static</span> __INLINE <span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga40c84e99f252e6ccd8dfc5faf26fbb40">SPI_SET_SS_LOW</a>(<a class="code" href="struct_s_p_i___t.html">SPI_T</a> *spi)</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;{</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    spi-&gt;<a class="code" href="struct_s_p_i___t.html#a79443ba1b07520f8ec9024696858a190">SSR</a> &amp;= ~<a class="code" href="_mini51_series_8h.html#a74835feceed72dcec4ce2d552625a7e3">SPI_SSR_AUTOSS_Msk</a>;</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;    spi-&gt;<a class="code" href="struct_s_p_i___t.html#a79443ba1b07520f8ec9024696858a190">SSR</a> |= <a class="code" href="_mini51_series_8h.html#a2e1e61875be2a625f45a19deec135d1a">SPI_SSR_LTRIG_FLAG_Msk</a>;</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;    spi-&gt;<a class="code" href="struct_s_p_i___t.html#a79443ba1b07520f8ec9024696858a190">SSR</a> &amp;= ~<a class="code" href="_mini51_series_8h.html#ace3f423d206a3b88ee42f78cd4bb5b08">SPI_SSR_SS_LVL_Msk</a>;</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;    spi-&gt;<a class="code" href="struct_s_p_i___t.html#a79443ba1b07520f8ec9024696858a190">SSR</a> |= <a class="code" href="_mini51_series_8h.html#a4d0ff5ea2d8b54bc0c0903edfa392906">SPI_SSR_SSR_Msk</a>;</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;}</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;</div><div class="line"><a name="l00173"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa795ff6d2dac96bcc9add693f3446d36">  173</a></span>&#160;<span class="preprocessor">#define SPI_ENABLE_BYTE_REORDER(spi) ( (spi)-&gt;CNTRL |= SPI_CNTRL_REORDER_Msk )</span></div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;</div><div class="line"><a name="l00180"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga704f049cd3351d0d0f7130a75ca394bf">  180</a></span>&#160;<span class="preprocessor">#define SPI_DISABLE_BYTE_REORDER(spi) ( (spi)-&gt;CNTRL &amp;= ~SPI_CNTRL_REORDER_Msk )</span></div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;</div><div class="line"><a name="l00188"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga356f36b6fc4c8c03904b3ef0d9ff8660">  188</a></span>&#160;<span class="preprocessor">#define SPI_SET_SUSPEND_CYCLE(spi, u32SuspCycle) ( (spi)-&gt;CNTRL = ((spi)-&gt;CNTRL &amp; ~SPI_CNTRL_SP_CYCLE_Msk) | (u32SuspCycle &lt;&lt; SPI_CNTRL_SP_CYCLE_Pos) )</span></div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;</div><div class="line"><a name="l00195"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga950a4385d8641da85456398b268368ae">  195</a></span>&#160;<span class="preprocessor">#define SPI_SET_LSB_FIRST(spi) ( (spi)-&gt;CNTRL |= SPI_CNTRL_LSB_Msk )</span></div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;</div><div class="line"><a name="l00202"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5cbade2af2ae16ff7b5cd4fd834592cb">  202</a></span>&#160;<span class="preprocessor">#define SPI_SET_MSB_FIRST(spi) ( (spi)-&gt;CNTRL &amp;= ~SPI_CNTRL_LSB_Msk )</span></div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;</div><div class="line"><a name="l00210"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1cace1d20930ddff812b308310ec7353">  210</a></span>&#160;<span class="keyword">static</span> __INLINE <span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1cace1d20930ddff812b308310ec7353">SPI_SET_DATA_WIDTH</a>(<a class="code" href="struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32Width)</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;{</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;    <span class="keywordflow">if</span>(u32Width == 32)</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;        u32Width = 0;</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;    spi-&gt;<a class="code" href="struct_s_p_i___t.html#a2cda79726f476ea64e73478bc0af6a77">CNTRL</a> = (spi-&gt;<a class="code" href="struct_s_p_i___t.html#a2cda79726f476ea64e73478bc0af6a77">CNTRL</a> &amp; ~<a class="code" href="_mini51_series_8h.html#a91096a88fc3eec45b3586869a19a220f">SPI_CNTRL_TX_BIT_LEN_Msk</a>) | (u32Width &lt;&lt; <a class="code" href="_mini51_series_8h.html#a96402e8d0fddf85a67a326268bbc79a9">SPI_CNTRL_TX_BIT_LEN_Pos</a>);</div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;}</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;</div><div class="line"><a name="l00225"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab09ba12aaae1e080cc39237e340dff96">  225</a></span>&#160;<span class="preprocessor">#define SPI_IS_BUSY(spi) ( ((spi)-&gt;CNTRL &amp; SPI_CNTRL_GO_BUSY_Msk) == SPI_CNTRL_GO_BUSY_Msk ? 1:0 )</span></div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;</div><div class="line"><a name="l00232"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3b3a8af4404dca3916553b91766d2adf">  232</a></span>&#160;<span class="preprocessor">#define SPI_TRIGGER(spi) ( (spi)-&gt;CNTRL |= SPI_CNTRL_GO_BUSY_Msk )</span></div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;</div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;uint32_t <a class="code" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad923655d26fb14da88c61d4ed0125c44">SPI_Open</a>(<a class="code" href="struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32MasterSlave, uint32_t u32SPIMode, uint32_t u32DataWidth, uint32_t u32BusClock);</div><div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8074f716aa1c65ecc93d79062b5d4b1b">SPI_Close</a>(<a class="code" href="struct_s_p_i___t.html">SPI_T</a> *spi);</div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae59c481764af06e5512f4416a91c5da2">SPI_ClearRxFIFO</a>(<a class="code" href="struct_s_p_i___t.html">SPI_T</a> *spi);</div><div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad1c25325aceb6a6ed417055225aff01b">SPI_ClearTxFIFO</a>(<a class="code" href="struct_s_p_i___t.html">SPI_T</a> *spi);</div><div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58b7eef9f93f8c3d3818d1a4b74f5be6">SPI_DisableAutoSS</a>(<a class="code" href="struct_s_p_i___t.html">SPI_T</a> *spi);</div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga55b31f9a751c6e784ad0022bc9155153">SPI_EnableAutoSS</a>(<a class="code" href="struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32SSPinMask, uint32_t u32ActiveLevel);</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;uint32_t <a class="code" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7cee248bcbe05dfae8ab8b3bf89e8f13">SPI_SetBusClock</a>(<a class="code" href="struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32BusClock);</div><div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58733a1f2730db4943ee270c5aad39ba">SPI_EnableFIFO</a>(<a class="code" href="struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32TxThreshold, uint32_t u32RxThreshold);</div><div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38d6219787921363efa7dcd46fdb6846">SPI_DisableFIFO</a>(<a class="code" href="struct_s_p_i___t.html">SPI_T</a> *spi);</div><div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;uint32_t <a class="code" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae3a43e332cf4de4b416980eeab502d07">SPI_GetBusClock</a>(<a class="code" href="struct_s_p_i___t.html">SPI_T</a> *spi);</div><div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d27a219e6d7e2c767775a2ed26fbc4b">SPI_EnableInt</a>(<a class="code" href="struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32Mask);</div><div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0450c2c279d9f5254f172d3a6fd7f47b">SPI_DisableInt</a>(<a class="code" href="struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32Mask);</div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160; <span class="comment">/* end of group MINI51_SPI_EXPORTED_FUNCTIONS */</span></div><div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160; <span class="comment">/* end of group MINI51_SPI_Driver */</span></div><div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160; <span class="comment">/* end of group MINI51_Device_Driver */</span></div><div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;</div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;}</div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;</div><div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;<span class="preprocessor">#endif //__SPI_H__</span></div><div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;</div><div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;<span class="comment">/*** (C) COPYRIGHT 2013 Nuvoton Technology Corp. ***/</span></div><div class="ttc" id="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga55b31f9a751c6e784ad0022bc9155153"><div class="ttname"><a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga55b31f9a751c6e784ad0022bc9155153">SPI_EnableAutoSS</a></div><div class="ttdeci">void SPI_EnableAutoSS(SPI_T *spi, uint32_t u32SSPinMask, uint32_t u32ActiveLevel)</div><div class="ttdoc">Enable the automatic slave select function. Only available in Master mode.</div><div class="ttdef"><b>Definition:</b> <a href="spi_8c_source.html#l00119">spi.c:119</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga40c84e99f252e6ccd8dfc5faf26fbb40"><div class="ttname"><a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga40c84e99f252e6ccd8dfc5faf26fbb40">SPI_SET_SS_LOW</a></div><div class="ttdeci">static __INLINE void SPI_SET_SS_LOW(SPI_T *spi)</div><div class="ttdoc">Disable automatic slave select function and set SPI_SS pin to low state.</div><div class="ttdef"><b>Definition:</b> <a href="spi_8h_source.html#l00160">spi.h:160</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga58733a1f2730db4943ee270c5aad39ba"><div class="ttname"><a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58733a1f2730db4943ee270c5aad39ba">SPI_EnableFIFO</a></div><div class="ttdeci">void SPI_EnableFIFO(SPI_T *spi, uint32_t u32TxThreshold, uint32_t u32RxThreshold)</div><div class="ttdoc">Enable FIFO mode with user-specified Tx FIFO threshold and Rx FIFO threshold configurations.</div><div class="ttdef"><b>Definition:</b> <a href="spi_8c_source.html#l00158">spi.c:158</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_a74835feceed72dcec4ce2d552625a7e3"><div class="ttname"><a href="_mini51_series_8h.html#a74835feceed72dcec4ce2d552625a7e3">SPI_SSR_AUTOSS_Msk</a></div><div class="ttdeci">#define SPI_SSR_AUTOSS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l07994">Mini51Series.h:7994</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad923655d26fb14da88c61d4ed0125c44"><div class="ttname"><a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad923655d26fb14da88c61d4ed0125c44">SPI_Open</a></div><div class="ttdeci">uint32_t SPI_Open(SPI_T *spi, uint32_t u32MasterSlave, uint32_t u32SPIMode, uint32_t u32DataWidth, uint32_t u32BusClock)</div><div class="ttdoc">This function make SPI module be ready to transfer. By default, the SPI transfer sequence is MSB firs...</div><div class="ttdef"><b>Definition:</b> <a href="spi_8c_source.html#l00039">spi.c:39</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_ace3f423d206a3b88ee42f78cd4bb5b08"><div class="ttname"><a href="_mini51_series_8h.html#ace3f423d206a3b88ee42f78cd4bb5b08">SPI_SSR_SS_LVL_Msk</a></div><div class="ttdeci">#define SPI_SSR_SS_LVL_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l07991">Mini51Series.h:7991</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_a2e1e61875be2a625f45a19deec135d1a"><div class="ttname"><a href="_mini51_series_8h.html#a2e1e61875be2a625f45a19deec135d1a">SPI_SSR_LTRIG_FLAG_Msk</a></div><div class="ttdeci">#define SPI_SSR_LTRIG_FLAG_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l08000">Mini51Series.h:8000</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga1cace1d20930ddff812b308310ec7353"><div class="ttname"><a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1cace1d20930ddff812b308310ec7353">SPI_SET_DATA_WIDTH</a></div><div class="ttdeci">static __INLINE void SPI_SET_DATA_WIDTH(SPI_T *spi, uint32_t u32Width)</div><div class="ttdoc">Set the data width of a SPI transaction.</div><div class="ttdef"><b>Definition:</b> <a href="spi_8h_source.html#l00210">spi.h:210</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga58b7eef9f93f8c3d3818d1a4b74f5be6"><div class="ttname"><a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58b7eef9f93f8c3d3818d1a4b74f5be6">SPI_DisableAutoSS</a></div><div class="ttdeci">void SPI_DisableAutoSS(SPI_T *spi)</div><div class="ttdoc">Disable the automatic slave select function.</div><div class="ttdef"><b>Definition:</b> <a href="spi_8c_source.html#l00107">spi.c:107</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_a96402e8d0fddf85a67a326268bbc79a9"><div class="ttname"><a href="_mini51_series_8h.html#a96402e8d0fddf85a67a326268bbc79a9">SPI_CNTRL_TX_BIT_LEN_Pos</a></div><div class="ttdeci">#define SPI_CNTRL_TX_BIT_LEN_Pos</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l07945">Mini51Series.h:7945</a></div></div>
<div class="ttc" id="struct_s_p_i___t_html_a2cda79726f476ea64e73478bc0af6a77"><div class="ttname"><a href="struct_s_p_i___t.html#a2cda79726f476ea64e73478bc0af6a77">SPI_T::CNTRL</a></div><div class="ttdeci">__IO uint32_t CNTRL</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l07909">Mini51Series.h:7909</a></div></div>
<div class="ttc" id="struct_s_p_i___t_html"><div class="ttname"><a href="struct_s_p_i___t.html">SPI_T</a></div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l07300">Mini51Series.h:7300</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad1c25325aceb6a6ed417055225aff01b"><div class="ttname"><a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad1c25325aceb6a6ed417055225aff01b">SPI_ClearTxFIFO</a></div><div class="ttdeci">void SPI_ClearTxFIFO(SPI_T *spi)</div><div class="ttdoc">Clear Tx FIFO buffer.</div><div class="ttdef"><b>Definition:</b> <a href="spi_8c_source.html#l00097">spi.c:97</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga38d6219787921363efa7dcd46fdb6846"><div class="ttname"><a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38d6219787921363efa7dcd46fdb6846">SPI_DisableFIFO</a></div><div class="ttdeci">void SPI_DisableFIFO(SPI_T *spi)</div><div class="ttdoc">Disable FIFO mode.</div><div class="ttdef"><b>Definition:</b> <a href="spi_8c_source.html#l00172">spi.c:172</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3d27a219e6d7e2c767775a2ed26fbc4b"><div class="ttname"><a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d27a219e6d7e2c767775a2ed26fbc4b">SPI_EnableInt</a></div><div class="ttdeci">void SPI_EnableInt(SPI_T *spi, uint32_t u32Mask)</div><div class="ttdoc">Enable FIFO related interrupts specified by u32Mask parameter.</div><div class="ttdef"><b>Definition:</b> <a href="spi_8c_source.html#l00202">spi.c:202</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gae59c481764af06e5512f4416a91c5da2"><div class="ttname"><a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae59c481764af06e5512f4416a91c5da2">SPI_ClearRxFIFO</a></div><div class="ttdeci">void SPI_ClearRxFIFO(SPI_T *spi)</div><div class="ttdoc">Clear Rx FIFO buffer.</div><div class="ttdef"><b>Definition:</b> <a href="spi_8c_source.html#l00087">spi.c:87</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gae3a43e332cf4de4b416980eeab502d07"><div class="ttname"><a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae3a43e332cf4de4b416980eeab502d07">SPI_GetBusClock</a></div><div class="ttdeci">uint32_t SPI_GetBusClock(SPI_T *spi)</div><div class="ttdoc">Get the actual frequency of SPI bus clock. Only available in Master mode.</div><div class="ttdef"><b>Definition:</b> <a href="spi_8c_source.html#l00182">spi.c:182</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga7cee248bcbe05dfae8ab8b3bf89e8f13"><div class="ttname"><a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7cee248bcbe05dfae8ab8b3bf89e8f13">SPI_SetBusClock</a></div><div class="ttdeci">uint32_t SPI_SetBusClock(SPI_T *spi, uint32_t u32BusClock)</div><div class="ttdoc">Set the SPI bus clock. Only available in Master mode.</div><div class="ttdef"><b>Definition:</b> <a href="spi_8c_source.html#l00130">spi.c:130</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_a91096a88fc3eec45b3586869a19a220f"><div class="ttname"><a href="_mini51_series_8h.html#a91096a88fc3eec45b3586869a19a220f">SPI_CNTRL_TX_BIT_LEN_Msk</a></div><div class="ttdeci">#define SPI_CNTRL_TX_BIT_LEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l07946">Mini51Series.h:7946</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga8f29377ac41486fc4678b9466f1a4c06"><div class="ttname"><a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8f29377ac41486fc4678b9466f1a4c06">SPI_SET_SS_HIGH</a></div><div class="ttdeci">static __INLINE void SPI_SET_SS_HIGH(SPI_T *spi)</div><div class="ttdoc">Disable automatic slave select function and set SPI_SS pin to high state.</div><div class="ttdef"><b>Definition:</b> <a href="spi_8h_source.html#l00149">spi.h:149</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga0450c2c279d9f5254f172d3a6fd7f47b"><div class="ttname"><a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0450c2c279d9f5254f172d3a6fd7f47b">SPI_DisableInt</a></div><div class="ttdeci">void SPI_DisableInt(SPI_T *spi, uint32_t u32Mask)</div><div class="ttdoc">Disable FIFO related interrupts specified by u32Mask parameter.</div><div class="ttdef"><b>Definition:</b> <a href="spi_8c_source.html#l00233">spi.c:233</a></div></div>
<div class="ttc" id="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga8074f716aa1c65ecc93d79062b5d4b1b"><div class="ttname"><a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8074f716aa1c65ecc93d79062b5d4b1b">SPI_Close</a></div><div class="ttdeci">void SPI_Close(SPI_T *spi)</div><div class="ttdoc">Reset SPI module and disable SPI peripheral clock.</div><div class="ttdef"><b>Definition:</b> <a href="spi_8c_source.html#l00075">spi.c:75</a></div></div>
<div class="ttc" id="struct_s_p_i___t_html_a79443ba1b07520f8ec9024696858a190"><div class="ttname"><a href="struct_s_p_i___t.html#a79443ba1b07520f8ec9024696858a190">SPI_T::SSR</a></div><div class="ttdeci">__IO uint32_t SSR</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l07911">Mini51Series.h:7911</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_a4d0ff5ea2d8b54bc0c0903edfa392906"><div class="ttname"><a href="_mini51_series_8h.html#a4d0ff5ea2d8b54bc0c0903edfa392906">SPI_SSR_SSR_Msk</a></div><div class="ttdeci">#define SPI_SSR_SSR_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l07988">Mini51Series.h:7988</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Oct 5 2020 14:31:43 for Mini51 BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
